From 6de7a9f319a0f1551fa90ddd2d8e6ed91dc91c18 Mon Sep 17 00:00:00 2001
From: kmoppel <kaarel.moppel@zalando.de>
Date: Thu, 9 Jan 2014 01:08:17 +0100
Subject: [PATCH] Forcing flush of .pgadmin3 to disk in frmMain::StoreServers()
 to not to lose newly added servers when crashing

---
 pgadmin/frm/frmMain.cpp             | 1 +
 pgadmin/include/utils/sysSettings.h | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 675940a..0da3b6e 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -1254,6 +1254,7 @@ void frmMain::StoreServers()
 
 	// Write the server count
 	settings->WriteInt(wxT("Servers/Count"), numServers);
+	settings->Flush(false);
 	wxLogInfo(wxT("Stored %d servers."), numServers);
 }
 
diff --git a/pgadmin/include/utils/sysSettings.h b/pgadmin/include/utils/sysSettings.h
index 37bdf4d..78f075d 100644
--- a/pgadmin/include/utils/sysSettings.h
+++ b/pgadmin/include/utils/sysSettings.h
@@ -20,7 +20,7 @@
 #include <wx/fileconf.h>
 
 // Class declarations
-class sysSettings : private wxConfig
+class sysSettings : public wxConfig
 {
 public:
 	sysSettings(const wxString &name);
-- 
1.8.3.2

